var myChart1 = echarts.init(document.getElementById('myChart1'));
var myChart2 = echarts.init(document.getElementById('myChart2'));
var myChart3 = echarts.init(document.getElementById('myChart3'));
var myChart4 = echarts.init(document.getElementById('myChart4'));
var myChart5 = echarts.init(document.getElementById('myChart5'));
var nGenLi = [], verNOId = [], _allOpen = null, weekDate = [];
var User_ = JSON.parse(getCookie("_YZS_Yu"));
function setOption1(hipA,num){
	option = {
		tooltip: {
			trigger: 'axis',
			axisPointer: {
			type: 'shadow'
			}
		},
		grid: {
			top: '1%',
			left: '0%',
			right: '6%',
			bottom: '1%',
			containLabel: true
		},
		xAxis: {
			type: 'value',
			boundaryGap: [0, 0.01],
			show:false
		},
		yAxis: {
			type: 'category',
			splitLine: {
				show:false,
			},
			axisLine: {
				show:false,
				lineStyle: {
					color: '#d6d6d6'
				}
			},
			data: hipA[0],
			axisLabel:{ 
				rotate : num
			}
		},
		series: [{
			type: 'bar',
			barWidth: '14',
			data: hipA[1],
			itemStyle:{
				color:{
					type: 'linear',
					x: 0,
					y: 0,
					x2: 1,
					y2: 1,
					colorStops: [{
						offset: 0, color: '#fff94b'
					}, {
						offset: 1, color: '#ff4040'
					}],
					global: false 
				},
				barBorderRadius:[7, 7, 7, 7]
			},
			label: {
				show: true,
				position: 'right',
				color:"#00aaff"
			},
		}],
	};
	return option;
}
function setOption2(Num) {
	option = {
		tooltip: {
			trigger: 'item',
			formatter: '{a} <br/>{b}: {c} ({d}%)'
		},
		legend: {
			icon: "circle",
			itemWidth: 15,
			bottom: 0,
			data: [getLang("onStatus"), getLang("offStatus")],
			textStyle: {
				color: "#fff",
			}
		},
		color: ['#55aaff', '#b0b0b0'],
		series: [{
			name: getLang("dataStatistics"),
			type: 'pie',
			center: ['50%', '40%'],
			radius: ['35%', '50%'],
			avoidLabelOverlap: false,
			label: {
				show: false,
				position: 'center'
			},
			emphasis: {
				label: {
					show: true,
					fontSize: '24',
					fontWeight: 'bold'
				}
			},
			itemStyle: {
				normal: {
					borderRadius: 10,
					borderColor: '#323740',
					borderWidth: 2,
					label: {
						show: true,
						formatter: '{d}%',
						fontSize: '15',
						color:"#fff"
					},
					labelLine: {
						show: true
					}
				}
			},
			labelLine: {
				show: true
			},
			data: [{
					value: Num[0],
					name: getLang("onStatus"),
				},{
					value: Num[1],
					name: getLang("offStatus")
				}]
		}]
	};
	return option;
}
function setOption3(_arr){
	var _name = [],
		_data = [];
	for (var i=0;i<weekDate.length;i++) {
		_name.push(weekDate[i]);
		_data.push(_arr[weekDate[i]]);
	}
	option = {
		tooltip: {
			trigger: 'axis',
			axisPointer: {
				type: 'cross',
				label: {
					backgroundColor: '#6a7985'
				}
			}
		},
		grid: {
			top: '12%',
			left: '0%',
			right: '2%',
			bottom: '3%',
			containLabel: true
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			axisLine: {
				lineStyle: {
					color: '#d6d6d6'
				}
			},
			axisLabel: {
				showMaxLabel: true
			},
			data: weekDate
		},
		yAxis: {
			type: 'value',
			axisLine: {
				show:false,
				lineStyle: {
					color: ['#00aaff']
				}
			},
			splitLine: {
				show:false,
			}
		},
		series: [{
			data: _arr,
			type: 'line',
			areaStyle: {
				color: "#fffa5e"
			},
			itemStyle: {
			    normal: {
			        color: '#fff', //改变折线点的颜色
			        lineStyle: {
			            color: '#fffa5e' //改变折线颜色
			        }
			    }
			}
	    }]
	};
	return option;
}
function setOption5(_data) {
	option = {
		tooltip: {
			trigger: 'item',
			formatter: '{a} <br/>{b}: {c} ({d}%)'
		},
		legend: {
			bottom: 0,
			data:_data[0],
			textStyle: {
				color: "#fff",
			}
		},
		color: ['#fa69ff', '#69ff89', '#faff69', '#ff6969', '#69daff', '#696dff'],
		series: [{
			name: getLang("dataStatistics"),
			type: 'pie',
			radius: '55%',
			center: ['50%', '40%'],
			avoidLabelOverlap: false,
			label: {
				show: false,
				position: 'center'
			},
			emphasis: {
				label: {
					show: true,
					fontSize: '24',
					fontWeight: 'bold'
				}
			},
			itemStyle: {
				normal: {
					label: {
						show: true,
						formatter: '{d}%',
						fontSize: '15',
						color:"#fff"
					},
					labelLine: {
						show: true
					}
				}
			},
			labelLine: {
				show: true
			},
			data: [{
					value:_data[1][0],
					name:_data[0][0]
				},{
					value: _data[1][1],
					name:_data[0][1]
				},{
					value:_data[1][2],
					name:_data[0][2]
				},{
					value:_data[1][3],
					name:_data[0][3]
				},{
					value:_data[1][4],
					name:_data[0][4]
				},{
					value:_data[1][5],
					name:_data[0][5]
				}
			]
		}]
	};
	return option;
}
layui.config({base: '../'}).use(['element', 'jquery', 'table', 'layer'], function() {
	var element = layui.element,
		table = layui.table,
		$ = layui.$,
		layer = layui.layer,
		User_ = null,
		shipLi = [],
		shipNOLi = [],
		dailyLi = {},
		alarmLi = {},
		_aType = [];
	$(document).ready(function() {
		setTimeout(()=>{
			nGenShips();
			User_ = getCookie("_YZS_Yu") !== null?JSON.parse(getCookie("_YZS_Yu")) : null;;
			weekDate = getDateStr(new Date());
			// setCert();
		},200)
	});
	$(window).resize(function(){
		myChart1.resize();
		myChart2.resize();
		myChart3.resize();
		myChart4.resize();
		myChart5.resize();
	})	
	// 获取新车辆列表
	function nGenShips(){
		let obj={
			http: nGenUrl,
			tok: getCookie("AjaxNGen"),
			url:"/gps-web/h5/mgr/car?getTeamsAndCars&sortField=plate&"+new Date().getTime(),
			type:"GET"
		};
		let data1={};
		genAjax(obj,data1)
		.then(function(res){
			nGenLi = [];
			if(res.status==1&&res.result.length){
				nGenLi = res.result[1];
				getShip();
			}
		})
	}
	function reSet(){
		_aType =[{
			"val":0,
			"key": getLang("Exhaust")
		},{
			"val":0,
			"key": getLang("Distra")
		},{
			"val":0,
			"key": getLang("Quit")
		},{
			"val":0,
			"key": getLang("Smok")
		},{
			"val":0,
			"key": getLang("Phone")
		},{
			"val":0,
			"key": getLang("Shelter")
		}];
	}
	function getShip(){
		_allOpen = layer.load();
		setTimeout(() => {
			let data = {
				"user_id":User_.userId
			};
			let _opts= {
				url:(User_.roles[0].roleId == 110?"/GetAllHswsSnList":(User_.roles[0].roleId == 112?"/SelHswsMainSn":"/SelHswsSn")),
				type:"GET"
			}
			tokenAjax(_opts,data)
			.then(function (res){
				reSet();
				verNOId = [];
				shipLi = [];
				shipNOLi = [];
				var onLine = 0, allLine = 0;
				if(res.code==200&&res.data.length){
					let _obj = res.data,verNO = [], verT = [];
					for(let i=0;i<_obj.length;i++){
						let _acb = _obj[i];
						if(/.*[\u4e00-\u9fa5]+.*$/.test(_acb.dev_name)){
							if(_acb.dev_ver == 3){
								let _ind = nGenLi.findIndex((i,index)=>{return i.plate == _acb.sn });
								if(_ind != -1){
									_acb.cId = nGenLi[_ind].id;
									verNO.push(_acb);
									verNOId.push(nGenLi[_ind].id);
									onLine = onLine + (nGenLi[_ind].state>4?1:0);
								}
							}else{
								let _onl = _acb.online == undefined?{lon:0,lat:0,speed:0,time:1639449590}:_acb.online;
								if((_onl.time+"")>10){
									onLine = onLine + (_neol = changeTime(parseInt(_onl.time)));
								}else{
									onLine = onLine + (_neol = changeTime(parseInt(_onl.time)*1000));
								}
								verT.push(_acb)
							}
							allLine += 1;
						}
					}
					shipNOLi = verNO;
					shipLi = verT;
					getDaily();
					getSevWarn();
				}else{
					shipLi = [];
					setHtml([],[[],[]],_aType);
				}
				myChart2.setOption(setOption2([onLine,(allLine - onLine)]));
			})
		},200);
	}
	function getDaily(){
		let data = {
			"user_id":User_.userId,
			"start_date": weekDate[0],
			"end_date": weekDate[6],
		};
		let _opts= {
			url:"/GetDailyDistance",
			type:"GET"
		}
		tokenAjax(_opts,data)
		.then(function (res){
			dailyLi = res.data;
			getAlarms();
		})
	}
	function getAlarms(){
		let data = {
			"user_id":User_.userId,
			"start_time": weekDate[0] + " 00:00:00",
			"end_time": weekDate[6] + " 23:59:59",
		};
		let _opts= {
			// url:"/GetUserAlarms",
			url:(User_.userId == 164?"/GetAllAlarms":"/GetUserAlarms"),
			type:"GET"  
		}
		tokenAjax(_opts,data)
		.then(function (res){
			alarmLi = res.data;
			getArr();
		})
	}
	
	function getArr(){
		reSet();
		let _obj = shipLi, _obj1 = dailyLi, _obj2 = alarmLi,
			_shipNa = [],_Ana = [];
		for(let i=0;i<_obj.length;i++){
			let _ab = _obj[i],
				_aNum = getOneA(_ab.dev_id,_obj2[_ab.dev_id]);
			_ab.Mileage = (parseFloat(_obj1[_ab.dev_id])/1000).toFixed(2);
			_ab.WarnNum = _aNum[0];
			_shipNa.push([_ab.dev_name,_aNum[0]]);
			_Ana = _aNum[1];
		}
		if(verNOId.length == 0){
			setHtml(_obj,_shipNa,_Ana);
		}else if(verNOId.length != 0){
			genNWarn(_obj,_shipNa,_Ana);
		}
	}
	function getOneA(_key,_obj){
		let _Con = 0;
		if(JSON.stringify(_obj) == "{}"){
			_Con = 0;
		}else{
			for(let val in _obj){
				_Con += _obj[val];
				if(val == 1||val == 2||val == 3){
					_aType[0]["val"] += _obj[val];
				}else if(val == 4){
					_aType[1]["val"] += _obj[val];
				}else if(val == 5||val == 11){
					_aType[2]["val"] += _obj[val];
				}else if(val == 9){
					_aType[3]["val"] += _obj[val];
				}else if(val == 10){
					_aType[4]["val"] += _obj[val];
				}else if(val == 6){
					_aType[5]["val"] += _obj[val];
				}
			}
		}
		return [_Con,_aType];
	}
	function checkType(_obj){
		let _nTy = _aType;
		for(let i=0;i<_obj.length;i++){
			let _avb = _obj[i];
			for(let val in _avb){
				if(val == "fd"||val == "ya"||val == "cey"){
					_nTy[0]["val"] += _avb[val];
				}else if(val == "am"){
					_nTy[1]["val"] += _avb[val];
				}else if(val == "de"){
					_nTy[2]["val"] += _avb[val];
				}else if(val == "sm"){
					_nTy[3]["val"] += _avb[val];
				}else if(val == "pp"||val == "pm"){
					_nTy[4]["val"] += _avb[val];
				}
			}
		}
		return _nTy;
	}
	function dsg(_data,hipA,Ana,_obj){
		let _cvb = [];
		for(let i=0;i<shipOLi.length;i++){
			let _acb = shipOLi[i];
			let _ind = _obj.findIndex((i,index)=>{return i.carId == _acb.cId });
			if(_ind != -1){
				_acb.WarnNum = _obj[_ind].total;
				_cvb.push([_acb.dev_name, _obj[_ind].total]);
				_acb.Mileage = 0;
			}else{
				_acb.WarnNum = 0;
				_acb.Mileage = 0;
				_cvb.push([_acb.dev_name, 0]);
			}
		}
		let _newObj = [..._data,...shipOLi];
		let _newHip = [...hipA,..._cvb];
		if(verNOId.length){
			genNWarn(_newObj,_newHip,checkType(_obj))
		}
	}
	function genNWarn(_data,hipA,Ana){
		let obj = {
			http: nGenUrl,
			url:"/gps-web/h5/query/rptalarm?queryDailyStatistics&_t="+new Date().getTime(),
			type:"POST"
		};
		let data1 = {
			carIds: verNOId,
			endDay: weekDate[6],
			startDay: weekDate[0],
			typeIds: ["fd", "de","pp","ya","cey","am","sm","pm"]
		};
		genPostAjax(obj,data1)
		.then(function(res){
			if(res.status==1&&res.result.length){
				let _obj = res.result,_cvb = [];
				for(let i=0;i<shipNOLi.length;i++){
					let _acb = shipNOLi[i];
					let _ind = _obj.findIndex((i,index)=>{return i.carId == _acb.cId });
					if(_ind != -1){
						_acb.WarnNum = _obj[_ind].total;
						_cvb.push([_acb.dev_name, _obj[_ind].total]);
						_acb.Mileage = 0;
					}else{
						_acb.WarnNum = 0;
						_acb.Mileage = 0;
						_cvb.push([_acb.dev_name, 0]);
					}
				}
				let _newObj = [..._data,...shipNOLi];
				let _newHip = [...hipA,..._cvb];
				genNMil(_newObj,_newHip,checkType(_obj));
			}else{
				genNMil(_data,hipA,Ana);
			}
		})
	}
	function genNMil(_mdata,mhipA,mAna){
			for(var i=0;i<verNOId.length;i++){
				let _av = verNOId[i], ni = i, _len = verNOId.length - 1;
				let obj = {
					http: nGenUrl,
					tok: getCookie("AjaxNGen"),
					url:"/gps-web/h5/query/rptmile?queryByDay&_t="+new Date().getTime(),
					type:"GET"
				};
				let data1 = {
					carId: _av,
					endDay: weekDate[6],
					startDay: weekDate[0]
				};
				genAjax(obj,data1)
				.then(function(res){
					if(res.status == 1){
						let _ind = _mdata.findIndex((i,index)=>{return _av == i.cId });
						if(_ind != -1){
							if(res.result.mile != undefined){
								_mdata[_ind].Mileage = (parseFloat(res.result.mile)/1000).toFixed(2);
							}else{
								_mdata[_ind].Mileage = 0;
							}
						}
					}   
					if(ni == _len){
						setTimeout(()=>{
							setHtml(_mdata,mhipA,mAna);
						},200)
					}
				})
			}
		}
	function setHtml(_obj,hipA,Ana) {
		let _Ana1 = [],_Ana2 = [],
			_aObj = Ana.sort((a,b) => { return a.val - b.val });
		for(let i=0;i<_aObj.length;i++){
			_Ana1.push(_aObj[i]["key"]);
			_Ana2.push(_aObj[i]["val"]);
		}
		let _name = [],_data = [];
		let _abh = _obj.sort(function(a,b){
			let c = (a.WarnNum == undefined?0: a.WarnNum);
			let d = (b.WarnNum == undefined?0: b.WarnNum);
			return d - c;
		});
		for (let i = 0; i < _abh.length; i++) {
			if(i<6){
				_name.push(_abh[i].dev_name);
				_data.push((_abh[i].WarnNum == undefined?0:_abh[i].WarnNum));
			}
		}
		myChart1.setOption(setOption1([_name.reverse(),_data.reverse()],60));
		myChart4.setOption(setOption1([_Ana1,_Ana2],0));
		myChart5.setOption(setOption5([_Ana1,_Ana2]));
		table.render({
			elem: '#roTable',
			limit: Number.MAX_VALUE,
			cols: [
				[{
					type: 'numbers',
					title: getLang("Number"),
					align: 'center',
					width: 80
				},{
					field: 'dev_name',
					title: getLang("ShipName"),
					align: 'center'
				}, {
					field: 'Mileage',
					title: getLang("Mileage"),
					align: 'center',
					sort: true,
					templet: function (d) {
						return '<span>'+(d.Mileage != undefined&&d.Mileage != "NaN"?d.Mileage:0)+'</span><span class="margin-left-xs text-white" style="font-size: 12px;">km</span>'
					},
				}, {
					field: 'WarnNum',
					title: getLang("WarnNum"),
					align: 'center',
					templet: function (d) {
						return '<span>'+(d.WarnNum == undefined?0: d.WarnNum)+'</span>'
					},
					sort: true
				}]
			],
			data: _abh
		});
		layer.close(_allOpen);
	}
	// 报警趋势
	var warmArr = [];
	function getSevWarn(){
		warmArr = [];
		let _keyi = 0, _len = weekDate.length;
		for(var i=0;i<weekDate.length;i++){
			let _keytime = weekDate[i],_ij = i;
			let data = {
				"user_id":User_.userId,
				"start_time": _keytime + " 00:00:00",
				"end_time": _keytime + " 23:59:59",
			};
			let _opts= {
				// url:"/GetUserAlarms",
				url: (User_.userId == 164?"/GetAllAlarms":"/GetUserAlarms"),
				type:"GET"
			}
			tokenAjax(_opts,data)
			.then(function (resT){
				_keyi += 1;
				if(resT.code == 200){
					warmArr[_ij] = getAlls(resT.data);
				}
				if(verNOId.length == 0){
					if(_keyi == _len){
						myChart3.setOption(setOption3(warmArr));
						myChart3.resize();
					}
				}else if(verNOId.length != 0){
					getNOgenW(_keytime,_keyi == _len,_ij);
				}
			})
		}
	}
	function getNOgenW(time,sta,_ij){
		let gdata = {
			"carIds": verNOId,
			"endDay": time,
			"startDay": time,
			"typeIds": ["fd", "de","pp","ya","cey","am","sm","pm"]
		};
		let _gopts= {
			http: nGenUrl,
			url:"/gps-web/h5/query/rptalarm?queryDailyStatistics&_t="+new Date().getTime(),
			type:"POST"
		}
		genPostAjax(_gopts,gdata) 
		.then(function (resNO){
			if(resNO.status==1){
				let _obj = resNO.result,_cvb = 0;
				for(let i=0;i<_obj.length;i++){
					_cvb += (_obj[i].total != undefined?_obj[i].total:0);
				}
				warmArr[_ij] += _cvb;
			}
			if(sta){
				setTimeout(() => {
					myChart3.setOption(setOption3(warmArr));
					myChart3.resize();
				},1000)
			}
		})
	}
	function getAlls(_obj){
		let _tol = 0;
		for(let val in _obj){
			let _ab = _obj[val];
			if(JSON.stringify(_ab) == "{}"){
				_tol += 0;
			}else{
				for(let key in _ab){
					_tol += _ab[key];
				}
			}
		}
		return _tol;
	}
	// 证书统计
	function setCert() {
		let data = {
			"user": User_.userName
		};
		let _opts= {
			url:"/iBoat_hjy/certificate_select2",
			type:"GET"
		}
		dhAjax(_opts,data)
		.then(function (res){
			var sbData = new Array();
			if (res.result == "ok") {
				let data = res.data;
				var num1 = 0;
				var num2 = 0;
				var num3 = 0;
				for (var i = 0; i < data.length; i++) {
					let name = "";
					let time = getDaysBetween(new Date().toLocaleDateString(), data[i].Validity_of_certificate);
					if (time == "长期"||time > 31) {
						num1++;
					} else if (time > -1 && time < 32) {
						num2++;
					} else if (time < 0) {
						num3++;
					}
				}
				myChart2.setOption(setOption2([num1, num2, num3]));
			} else {
				myChart2.setOption(setOption2([0, 0, 0]));
			}
		})
	}
	// 获取近七天时间
	function getDateStr(date) {
	   var base = new Date(date).getTime();
	   // var base = 1643039999000;
	   var oneDay = 24 * 3600 * 1000;
	   var date = [];
	   var data = [Math.random() * 300];
	   var time = new Date(base);
	   date.push([time.getFullYear(), ((time.getMonth() + 1)>9?(time.getMonth() + 1):"0"+(time.getMonth() + 1)), (time.getDate()>9?time.getDate():"0"+time.getDate())].join('-'));
	   for (var i = 1; i <7; i++) {
		   var now = new Date(base -= oneDay);
		   date.push([now.getFullYear(),  ((now.getMonth() + 1)>9?(now.getMonth() + 1):"0"+(now.getMonth() + 1)), (now.getDate()>9?now.getDate():"0"+now.getDate())].join('-'));
		   data.push(Math.round((Math.random() - 0.5) * 20 + data[i - 1]));
	   }
	   var newdate = date.reverse()
	   return newdate;
	}
});
