var myChart1 = echarts.init(document.getElementById('myChart1'));
var myChart2 = echarts.init(document.getElementById('myChart2'));
function setoption2(Num) {
	option = {
		tooltip: {
			trigger: 'item',
			formatter: '{a} <br/>{b}: {c} ({d}%)'
		},
		legend: {
			bottom: 0,
			data:['安全证书', '保险证书', '检测证书', '通用证书'],
			textStyle: {
				color: "#fff",
			}
		},
		color: ['#4f6dcd', '#fad972', '#f88582', '#3ae3bc'],
		series: [{
			name: '实时数据统计',
			type: 'pie',
			radius: '55%',
			center: ['50%', '40%'],
			avoidLabelOverlap: false,
			label: {
				show: false,
				position: 'center'
			},
			emphasis: {
				label: {
					show: true,
					fontSize: '30',
					fontWeight: 'bold'
				}
			},
			itemStyle: {
				normal: {
					label: {
						show: true,
						formatter: '{d}%',
						fontSize: '30'
					},
					labelLine: {
						show: true
					}
				}
			},
			labelLine: {
				show: true
			},
			data: [{
					value: Num[0],
					name:'安全证书'
				},
				{
					value: Num[1],
					name:'保险证书'
				},
				{
					value: Num[2],
					name:'检测证书'
				},
				{
					value: Num[3],
					name:'通用证书'
				}
			]
		}]
	};
	return option;
}
function setoption1(dataList) {
	option = {
		color: ['#3398DB'],
		tooltip: {
			trigger: 'axis',
			axisPointer: {
				type: 'shadow' 
			}

		},
		grid: {
			top: '8%',
			left: '0%',
			right: '0%',
			bottom: '3%',
			containLabel: true
		},
		xAxis: [{
			type: 'category',
			data: ['长期','>365天', '32-365天', '<32天', '已过期'],
			axisTick: {
				alignWithLabel: true
			},
			axisLine: {
				lineStyle: {
					color: '#9ed2f9'
				}
			},
			axisLabel: {
				textStyle: {
					fontSize: 8,
				}
			}
		}],
		yAxis: [{
			type: 'value',
			max: 5,
			axisLine: {
				show: false,
			},
			axisLabel: {
				formatter: function() {
					return "";
				}
			}
		}],
		series: [{
			name:  '实时数据',
			type: 'bar',
			barWidth: '45%',
			itemStyle: {
				normal: {
					label: {
						color: '#fff'
					},
					color: function(params) {
						var colorList = [
							['#63DDE3', '#0484DE'],
							['#63DDE3', '#0484DE'],
							['#63DDE3', '#0484DE'],
							['#FED501', '#FC9701'],
							['#FE991A', '#FE421B']
						];
						var index = params.dataIndex;
						if (params.dataIndex >= colorList.length) {
							index = params.dataIndex - colorList.length;
						}
						return new echarts.graphic.LinearGradient(0, 0, 0, 1,
							[{
									offset: 0,
									color: colorList[index][0]
								},
								{
									offset: 1,
									color: colorList[index][1]
								}
							]);
					}
				}
			},

			label: {
				normal: {
					show: true,
					position: 'top',
					color: '#fff',
					formatter: function(params) {
						var list =["个","个", "个", "个", "个"];
						var index = params.dataIndex;
						if (params.dataIndex >= list.length) {
							index = params.dataIndex - list.length;
						}
						return dataList[index] + list[index]
					}
				}
			},
			data: dataList
		}]
	};
	return option;
}
layui.config({base: '../'}).use(['element', 'jquery', 'table', 'layer'], function() {
	var element = layui.element,
		table = layui.table,
		$ = layui.$,
		layer = layui.layer,
		User_ = null;
	$(document).ready(function() {
		User_=JSON.parse(getCookie("_YZS_Yu"));
		setHtml();
	});
	window.addEventListener('message',(data)=>{
		setHtml();
	})
	$(window).resize(function(){
		myChart1.resize();
		myChart2.resize();
	})	
	function setHtml() {
		let data = {
			"user": User_.userName,
			// "iboat_name": nowProd
		};
		let _opts= {
			url:"/iBoat_hjy/certificate_select2",
			type:"GET"
		}
		dhAjax(_opts,data)
		.then(function (res){
			var sbData = new Array();
			if (res.result == "ok") {
				let data = res.data;
				var num1 = 0;
				var num2 = 0;
				var num3 = 0;
				var num4 = 0;
				var num6 = 0;
				var num7 = 0;
				var str6 = "";
				var str7 = "";
				var numdate1 = 0;
				var numdate2 = 0;
				var numdate3 = 0;
				var numdate4 = 0;
				var numdate5 = 0;
				for (var i = 0; i < data.length; i++) {
					let name = "";
					let time = getDaysBetween(new Date().toLocaleDateString(), data[i].Validity_of_certificate);
					data[i].next_time = time;
					if (data[i].certificate_name.indexOf("安全") != -1) {
						num1++;
					} else if (data[i].certificate_name.indexOf("险") != -1) {
						num2++;
					} else if (data[i].certificate_name.indexOf("检查") != -1 || data[i].certificate_name
						.indexOf("自差") != -1 || data[i].certificate_name.indexOf("检定") != -1 || data[i]
						.certificate_name.indexOf("年审") != -1) {
						num3++;
					} else {
						num4++;
					}
					if (time < 0) {
						str7 += "<p>" + data[i].iboat_name + "下的" + data[i].certificate_name + "已过期" +
							Math.abs(time) + "天,请留意！</p>"
						num7++;
					} else if (time > 0 && time < 32) {
						str6 += "<p>" + data[i].iboat_name + "下的" + data[i].certificate_name + "剩余" +
							Math.abs(time) + "天过期,请留意！</p>"
						num6++;
					}
					// 长期
					if (time == "长期") {
						numdate1++;
					} else if (time > 365) { // 长期
						numdate2++;
					} else if (time > 31 && time < 366) { // 一年内
						numdate3++;
					} else if (time > -1 && time < 32) { // 一个月
						numdate4++;
					} else if (time < 0) { // 过期
						numdate5++;
					}
					let _obj = {
						"certificate_name": data[i].certificate_name,
						"certification_time": data[i].certification_time,
						"Validity_of_certificate": data[i].Validity_of_certificate,
						"next_time": data[i].next_time
					}
					sbData.push(_obj);
				}
				var dataList = [numdate1, numdate2, numdate3, numdate4, numdate5];
				$("#shipNT").text(data.length);
				$("#shipNN").text(numdate1 + numdate2 + numdate3);
				$("#shipNC").text(numdate4);
				$("#shipNA").text(numdate5);
				$("#errList").html(`<div style="color: #FEFF91;">${str6}</div><div style="color: #FF9191;">${str7}</div>`);
				myChart1.setOption(setoption1(dataList));
				myChart2.setOption(setoption2([num1, num2, num3, num4]));
			} else {
				sbData = [];
				$("#shipNT").text(0);
				$("#shipNN").text(0);
				$("#shipNC").text(0);
				$("#shipNA").text(0);
				myChart1.setOption(setoption1([0, 0, 0, 0]));
				myChart2.setOption(setoption2([0, 0, 0, 0, 0]));
			}
			table.render({
				elem: '#roTable',
				cols: [
					[{
						field: 'certificate_name',
						title: '证书名称',
						align: 'center'
					}, {
						field: 'certification_time',
						title: '签发日期',
						align: 'center'
					}, {
						field: 'Validity_of_certificate',
						title: '证书有效期',
						align: 'center',
						sort: true
					}, {
						field: 'next_time',
						title: '到期剩余天数',
						align: 'center',
						sort: true,
						templet: "#timeTpl"
					}]
				],
				data: sbData
			});
		})
	}
	$("#ship1").on("click", "", function() {
		window.parent.document.getElementById("isem-iframe").src = "P113.html?ind=1";
	})
	$("#ship2").on("click", "", function() {
		window.parent.document.getElementById("isem-iframe").src = "P113.html?ind=2";
	})
	$("#ship3").on("click", "", function() {
		window.parent.document.getElementById("isem-iframe").src = "P113.html?ind=3";
	})
	$("#ship4").on("click", "", function() {
		window.parent.document.getElementById("isem-iframe").src = "P113.html?ind=4";
	})
});
