let langPack = {
	"Tips": {
		"Simp": "温馨提示",
		"Trad": "溫馨提示",
		"English": "Warm Reminder",
	},
	"LoginOutText": {
		"Simp": "是否退出当前登录?",
		"Trad": "是否退出當前登錄?",
		"English": "Whether to exit the current login?",
	},
	"LoginOut": {
		"Simp": "退出",
		"Trad": "退出",
		"English": "LoginOut",
	},
	"Cancel": {
		"Simp": "取消",
		"Trad": "取消",
		"English": "Cancel",
	},
	"Delete": {
		"Simp": "删除",
		"Trad": "刪除",
		"English": "Delete",
	},
	"DelData": {
		"Simp": "请确认是否删除该条数据?",
		"Trad": "請確認是否刪除該條數據?",
		"English": "Please confirm whether to delete the data",
	},
	"DelSucc": {
		"Simp": "删除成功!",
		"Trad": "刪除成功!",
		"English": "Successfully Deleted!",
	},
	"DelErr": {
		"Simp": "删除失败!",
		"Trad": "刪除失敗!",
		"English": "Deletion Failure!",
	},
	"Submit": {
		"Simp": "确定",
		"Trad": "确定",
		"English": "Submit",
	},
	"editBtn": {
		"Simp": "编辑",
		"Trad": "編輯",
		"English": "Edit",
	},
	"transferBtn": {
		"Simp": "迁移",
		"Trad": "遷移",
		"English": "Transfer",
	},
	"closeEyes": {
		"Simp": "闭眼",
		"Trad": "閉眼",
		"English": "Close one's eyes",
	},
	"Fatigue": {
		"Simp": "疲劳性眨眼",
		"Trad": "疲勞性眨眼",
		"English": "Fatigue blink",
	},
	"lookAhead": {
		"Simp": "驾驶员分神不目视前方",
		"Trad": "駕駛員分神不目視前方",
		"English": "The driver was distracted from looking ahead",
	},
	"DutyLookAhead": {
		"Simp": "值班人员分神不目视前方",
		"Trad": "值班人员分神不目視前方",
		"English": "Duty personnel are distracted and not looking ahead",
	},
	"Yawn": {
		"Simp": "打哈欠",
		"Trad": "打哈欠",
		"English": "Yawn",
	},
	"DriverW": {
		"Simp": "驾驶员异常",
		"Trad": "駕駛員異常",
		"English": "Driver anomaly",
	},
	"DutyW": {
		"Simp": "值班人员异常",
		"Trad": "值班人员異常",
		"English": "Abnormal duty personnel",
	},
	"OccCamera": {
		"Simp": "遮挡摄像头",
		"Trad": "遮擋攝像頭",
		"English": "Occlusion camera",
	},
	"DrivLong": {
		"Simp": "连续长时间驾驶",
		"Trad": "連續長時間駕駛",
		"English": "Driving for long periods of time",
	},
	"DriverIW": {
		"Simp": "驾驶员身份异常",
		"Trad": "駕駛員身份異常",
		"English": "Driver identity abnormality",
	},
	"operaDuty": {
		"Simp": "值班人员身份异常",
		"Trad": "值班人員身份異常",
		"English": "Abnormal identity of duty personnel",
	},
	"Smoking": {
		"Simp": "抽烟检测",
		"Trad": "抽煙檢測",
		"English": "Smoking test",
	},
	"LongCall": {
		"Simp": "长时间打电话",
		"Trad": "長時間打電話",
		"English": "Long phone call",
	},
	"EngineRoom": {
		"Simp": "机舱离岗检测",
		"Trad": "機艙離崗檢測",
		"English": "Engine room departure inspection",
	},
	"Other": {
		"Simp": "其他",
		"Trad": "其他",
		"English": "Other",
	},
	"ErrAddress": {
		"Simp": "获取详细地址失败",
		"Trad": "獲取詳細地址失敗",
		"English": "Failed to get location",
	},
	"ErrVideo": {
		"Simp": "视频关闭失败!",
		"Trad": "視頻關閉失敗!",
		"English": "Video closing failure",
	},
	"LonCall": {
		"Simp": "经度",
		"Trad": "經度",
		"English": "Lon",
	},
	"LatCall": {
		"Simp": "纬度",
		"Trad": "緯度",
		"English": "Lat",
	},
	"Speed": {
		"Simp": "航速",
		"Trad": "航速",
		"English": "Speed",
	},
	"Address": {
		"Simp": "地址",
		"Trad": "地址",
		"English": "Address"
	},
	"Posi": {
		"Simp": "位置",
		"Trad": "位置",
		"English": "Position"
	},
	"Time": {
		"Simp": "时间",
		"Trad": "時間",
		"English": "Time",
	},
	"LiveVideo": {
		"Simp": "实时预览",
		"Trad": "實時預覽",
		"English": "Live Video",
	},
	"AlarmDetail": {
		"Simp": "报警详情",
		"Trad": "報警詳情",
		"English": "Alarm Details",
	},
	"HisTrack": {
		"Simp": "历史轨迹",
		"Trad": "歷史軌跡",
		"English": "TrackPlayback",
	},
	"BackVideo": {
		"Simp": "录像回放",
		"Trad": "錄像回放",
		"English": "VideoPlayback",
	},
	"Video": {
		"Simp": "视频",
		"Trad": "視頻",
		"English": "Video",
	},
	"onStatus": {
		"Simp": "在线",
		"Trad": "在線",
		"English": "Online",
	},
	"offStatus": {
		"Simp": "离线",
		"Trad": "離線",
		"English": "Offline",
	},
	"dataStatistics": {
		"Simp": "实时数据统计",
		"Trad": "實時數據統計",
		"English": "Data Statistics",
	},
	"Exhaust": {
		"Simp": "疲惫",
		"Trad": "疲憊",
		"English": "Exhausted",
	},
	"Distra": {
		"Simp": "分神",
		"Trad": "分神",
		"English": "Distraction",
	},
	"Quit": {
		"Simp": "离岗",
		"Trad": "離崗",
		"English": "Quit One's Post",
	},"Smok": {
		"Simp": "抽烟",
		"Trad": "抽煙",
		"English": "Smoking",
	},
	"Phone": {
		"Simp": "电话",
		"Trad": "電話",
		"English": "Phone",
	},
	"Shelter": {
		"Simp": "遮挡",
		"Trad": "遮擋",
		"English": "Shelter",
	},
	"Number": {
		"Simp": "序号",
		"Trad": "序號",
		"English": "Number",
	},
	"ShipName": {
		"Simp": "船名",
		"Trad": "船名",
		"English": "Ship's Name",
	},
	"Mileage": {
		"Simp": "航行里程",
		"Trad": "航行裡程",
		"English": "Mileage",
	},
	"WarnNum": {
		"Simp": "报警数量",
		"Trad": "報警數量",
		"English": "WarnNum",
	},"WarnPosi": {
		"Simp": "报警位置",
		"Trad": "報警位置",
		"English": "Alarm Position",
	},
	"notHistory": {
		"Simp": "该时间段没有相关的历史轨迹",
		"Trad": "該時間段沒有相關的歷史軌跡",
		"English": "There are no historical tracks associated with this time period",
	},
	"seachHistory": {
		"Simp": "请先查询历史轨迹",
		"Trad": "請先查詢歷史軌跡",
		"English": "Please check the historical track first",
	},
	"Pict": {
		"Simp": "图片",
		"Trad": "圖片",
		"English": "Picture"
	},
	"Mday": {
		"Simp": "星期一",
		"Trad": "星期一",
		"English": "Monday"
	},
	"DeviceMig": {
		"Simp": "设备迁移",
		"Trad": "設備遷移",
		"English": "Device Migration"
	},
	"EnterName": {
		"Simp": "输入对方用户名",
		"Trad": "輸入對方用戶名",
		"English": "Enter the peer user name"
	},
	"DeviceInfo": {
		"Simp": "设备信息",
		"Trad": "設備信息",
		"English": "Device Information"
	},
	"UserName": {
		"Simp": "绑定账户",
		"Trad": "綁定賬戶",
		"English": "UserName"
	},
	"UserNick": {
		"Simp": "账户名称",
		"Trad": "賬戶名稱",
		"English": "NickName"
	},
	"DeviceSn": {
		"Simp": "设备编号",
		"Trad": "設備編號",
		"English": "Device Sn"
	},
	"DeviceName": {
		"Simp": "设备名称",
		"Trad": "賬戶名稱",
		"English": "Device Name"
	},
	"BoatMmsi": {
		"Simp": "船舶mmsi",
		"Trad": "船舶mmsi",
		"English": "Boats Mmsi"
	},
	"DeviceVer": {
		"Simp": "设备版本",
		"Trad": "設備版本",
		"English": "Device Version"
	},
	"VerO": {
		"Simp": "海狮1代",
		"Trad": "海獅1代",
		"English": "Generation 1"
	},
	"VerT": {
		"Simp": "海狮2代",
		"Trad": "海獅2代",
		"English": "Generation 2"
	},
	"VerTH": {
		"Simp": "海狮3代",
		"Trad": "海獅3代",
		"English": "Generation 3"
	},
	"BridgeDist": {
		"Simp": "遇桥报警距离",
		"Trad": "遇橋報警距離",
		"English": "Bridge Alarm Distance"
	},
	"Nmile": {
		"Simp": "海里",
		"Trad": "海里",
		"English": "n mile"
	},
	"Normal": {
		"Simp": "正常",
		"Trad": "正常",
		"English": "Normal"
	},
	"OutOff": {
		"Simp": "停用",
		"Trad": "停用",
		"English": "Out of service"
	},
	"InactiveSta": {
		"Simp": "停用状态",
		"Trad": "停用狀態",
		"English": "Inactive State"
	},
	"OnlineSta": {
		"Simp": "在线状态",
		"Trad": "在線狀態",
		"English": "Online State"
	},
	"ImgFailed": {
		"Simp": "请求图片失败！",
		"Trad": "請求圖片失敗！",
		"English": "Image request failed！"
	},
	"DeviceOff": {
		"Simp": "设备离线中！",
		"Trad": "設備離線中！",
		"English": "The device is offline！"
	},
	"NoData": {
		"Simp": "暂无数据",
		"Trad": "暫無數據",
		"English": "No data available"
	},
	"Arti": {
		"Simp": "条",
		"Trad": "條",
		"English": "Articles"
	},
	"PhonName": {
		"Simp": "语音名称",
		"Trad": "語音名稱",
		"English": "Phonetic Name"
	},
	"Operate": {
		"Simp": "操作",
		"Trad": "操作",
		"English": "Operate"
	},
	"wavType": {
		"Simp": "目前只支持wav格式！",
		"Trad": "目前只支持wav格式！",
		"English": "Currently, only the wav format is supported"
	},
	"jpgType": {
		"Simp": "目前只支持jpg格式！",
		"Trad": "目前只支持jpg格式！",
		"English": "Currently, only the jpg format is supported"
	},
	"EntrySucc": {
		"Simp": "录入成功！",
		"Trad": "錄入成功！",
		"English": "Record Successfully"
	},
	"EntryErr": {
		"Simp": "录入失败！",
		"Trad": "錄入失敗！",
		"English": "Entry Failure"
	},
	"Remov": {
		"Simp": "移除",
		"Trad": "移除",
		"English": "Remove"
	},
	"EnterVoiceName": {
		"Simp": "请填写语音名称！",
		"Trad": "請填寫語音名稱！",
		"English": "Please enter the voice name！"
	},
	"SelVoiceFile": {
		"Simp": "请选择语音文件！",
		"Trad": "請選擇語音文件！",
		"English": "Please select voice file！"
	},
	"CameraId": {
		"Simp": "摄像头ID",
		"Trad": "攝像頭ID",
		"English": "Camera ID"
	},
	"CameraNa": {
		"Simp": "摄像头名称",
		"Trad": "攝像頭名稱",
		"English": "Camera Name"
	},
	"CameraRes": {
		"Simp": "分辨率",
		"Trad": "分辨率",
		"English": "Resolution"
	},
	"VideoClips": {
		"Simp": "录像条数",
		"Trad": "錄像條數",
		"English": "Number of video clips"
	},
	"PlayPath": {
		"Simp": "播放路径",
		"Trad": "播放路徑",
		"English": "Play Path"
	},
	"CameraInfo": {
		"Simp": "摄像头信息",
		"Trad": "攝像頭信息",
		"English": "Camera Information"
	},
	"EditErr": {
		"Simp": "修改失败！",
		"Trad": "修改失敗！",
		"English": "Edit Failure！"
	},
	"IntegrInfo": {
		"Simp": "请填写完整信息！",
		"Trad": "請填寫完整信息！",
		"English": "Please fill in the complete information！"
	},
	"startSucc": {
		"Simp": "命令发送成功！",
		"Trad": "命令發送成功！",
		"English": "Successfully sent restart command！"
	},
	"startErr": {
		"Simp": "命令发送失败！",
		"Trad": "命令發送失敗！",
		"English": "Failed to send restart command！"
	},
	"WheStart": {
		"Simp": "是否重启设备",
		"Trad": "是否重啟設備",
		"English": "Whether to restart the device "
	},
	"verSucc": {
		"Simp": "版本升级指令下发成功！",
		"Trad": "版本升級指令下發成功！",
		"English": "Successfully issued version upgrade command！"
	},
	"verErr": {
		"Simp": "版本升级指令下发失败！",
		"Trad": "版本升級指令下發失敗！",
		"English": "Failed to issue version upgrade command！"
	},
	"FirPackage": {
		"Simp": "固件包Ulr",
		"Trad": "固件包Ulr",
		"English": "Firmware Package Ulr"
	},
	"md5Code": {
		"Simp": "md5校验码",
		"Trad": "md5校驗碼",
		"English": "md5 Check Code"
	},
	"FirVerUpg": {
		"Simp": "固件版本升级",
		"Trad": "固件版本升級",
		"English": "Firmware Version Upgrade"
	},
	"FishStar": {
		"Simp": "设置完成，需重启设备方可生效，是否重启设备",
		"Trad": "設置完成，需重啟設備方可生效，是否重啟設備",
		"English": "After setting up, the device needs to be restarted to take effect. Do you want to restart the device "
	},
	"Reboot": {
		"Simp": "重启",
		"Trad": "重啟",
		"English": "Reboot"
	},
	"EnterDevNa": {
		"Simp": "请填写设备名称！",
		"Trad": "請填寫設備名稱！",
		"English": "Please enter the device name！"
	},
	"EnterDevNum": {
		"Simp": "请填写设备编号！",
		"Trad": "請填寫設備編號！",
		"English": "Please fill in the device number！"
	},
	"qyCheck": {
		"Simp": "请确认设备号和迁移账号是否正确，该操作不可逆转。",
		"Trad": "請確認設備號和遷移賬號是否正確，該操作不可逆轉。",
		"English": "Please check whether the device ID and account migration are correct. This operation is irreversible."
	},
	"NoVidFil": {
		"Simp": "没有录像文件！",
		"Trad": "沒有錄像文件！",
		"English": "No Video File！"
	},
	"PlayFil": {
		"Simp": "播放失败！",
		"Trad": "播放失敗！",
		"English": "Play Failure！"
	},
	"CameraOff": {
		"Simp": "摄像头离线中！",
		"Trad": "攝像頭離線中！",
		"English": "The camera is offline！"
	},
	"ScreSucc": {
		"Simp": "截图成功！",
		"Trad": "截圖成功！",
		"English": "Screenshot Success！"
	},
	"ScreErr": {
		"Simp": "截图失败！",
		"Trad": "截圖失敗！",
		"English": "Screenshot Failure！"
	},
	"VoicbroaSucc": {
		"Simp": "语音播报成功！",
		"Trad": "語音播報成功！",
		"English": "Successful voice broadcast！"
	},
	"VoicbroaErr": {
		"Simp": "语音播报失败！",
		"Trad": "語音播報失敗！",
		"English": "Voice broadcast Failure！"
	},
	"MoniRoom": {
		"Simp": "监控室",
		"Trad": "監控室",
		"English": "Monitor room！"
	},
	"_Name": {
		"Simp": "姓名",
		"Trad": "姓名",
		"English": "Name"
	},
	"_Sex": {
		"Simp": "性别",
		"Trad": "性別",
		"English": "Sex"
	},
	"_Job": {
		"Simp": "职务",
		"Trad": "職務",
		"English": "Job"
	},
	"_Photo": {
		"Simp": "照片",
		"Trad": "照片",
		"English": "Photograph"
	},
	"_Male": {
		"Simp": "男",
		"Trad": "男",
		"English": "male"
	},
	"_Female": {
		"Simp": "女",
		"Trad": "女",
		"English": "female"
	},
	"MembPho": {
		"Simp": "成员照片",
		"Trad": "成員照片",
		"English": "Member Photo"
	},
	"AccoAbnor": {
		"Simp": "账号异常，请联系管理员！",
		"Trad": "賬號異常，請聯繫管理員",
		"English": "Account abnormal, please contact administrator!"
	},
	"LoginInfo": {
		"Simp": "请填写完信息再登录！",
		"Trad": "請填寫完信息再登錄！",
		"English": "Please fill in the information before logging in！"
	}
	
};
let cookieLang = getCookie("setLang");
function getLang(name){
	return langPack[name][cookieLang];
}